-- AGREGAR ROL PARA DESCARGA DE DATOS POR PUNTO
IF NOT EXISTS(SELECT 1 FROM SEG_ROL WHERE id_rol=1036)
BEGIN
  INSERT INTO SEG_ROL( id_rol, id_app, vc_nombre, vc_desc )
  VALUES(1036,1,'Usuario Descarga x punto','Usuario Descarga x punto')
END
GO
IF NOT EXISTS(SELECT 1 FROM SEG_MENUXROL 
        WHERE id_menu = 10139 AND id_rol=1036)
BEGIN
  INSERT INTO SEG_MENUXROL(id_menu, id_rol )
  VALUES(10139, 1036)
END
GO
---------------------------------------------
-- SCRIPT PARA ACTUALIZAR EL MES Y AÑO (CAMBIAR POR NOMBRE DE BD DE PRODUCCIÓN)
BEGIN
  UPDATE HOJA_HIS set anio=X.[YEAR] , mes=X.mes
  FROM (
  SELECT CASE WHEN LEN(month(fecha_atencion))=1
    THEN CONVERT(VARCHAR,dbo.LPAD(month(fecha_atencion), 2, '0'))
    ELSE CONVERT(VARCHAR,month(fecha_atencion))
  END AS  mes, 
  YEAR(fecha_atencion) AS YEAR, id_hoja_his, id_establecimiento, id_lote
  FROM HOJA_HIS
  ) X
  WHERE dbo.HOJA_HIS.id_hoja_his = X.id_hoja_his 
  AND dbo.HOJA_HIS.id_establecimiento = X.id_establecimiento 
  AND dbo.HOJA_HIS.id_lote = X.id_lote
END
GO
----------------------------------------------
-- AGREGAR PK PARA HOJA_HIS y LOTE_X_EESS
----------------------------------------------
-- PARA ACTUALIZAR CANTIDAD DE HOJAS
BEGIN
  UPDATE HOJA_HIS SET cant_registro = X.cant_hojas
  FROM (
    select hh.id_hoja_his, hh.id_establecimiento, hh.id_lote, (
    select count(hc.id_cita) from HOJA_HIS_CITA hc where 
    hc.id_hoja_his = hh.id_hoja_his
    AND hc.id_establecimiento = hh.id_establecimiento
    ) as cant_hojas
    from HOJA_HIS hh
  )  X
  WHERE dbo.HOJA_HIS.id_hoja_his = X.id_hoja_his 
  AND dbo.HOJA_HIS.id_establecimiento = X.id_establecimiento 
  AND dbo.HOJA_HIS.id_lote = X.id_lote
END
GO
-- NUEVO
UPDATE LOTE_X_EESS SET fg_estado_local=1 WHERE fg_estado_local is null
GO
UPDATE MENSAJE SET fg_estado = 0
GO
INSERT INTO MENSAJE (titulo, descripcion, fecha_inicio, fecha_fin, responsable, fg_estado, imagen, url)
VALUES ('<center>Actualización 04/04/2016 - pág. 1</center>', '<br><br><b>1.</b> Se realizó la actualización de la Cabecera del Punto de Digitación.</br></br>
<b>2.</b> Mejora en el proceso de validación y control de Usuarios.</br>', '2016-04-06', '2016-04-06', 'pmaita', 1, NULL, NULL)
GO